# Generated from authorize-net-1.5.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name authorize-net

Name: rubygem-%{gem_name}
Version: 1.5.2
Release: 1%{?dist}
Summary: Ruby API for communicating with Authorize.net via the AIM, ARB, CIM, SIM, DPM and Reporting APIs
License: AUTHORIZE.NET SOFTWARE DEVELOPMENT KIT (SDK) LICENSE AGREEMENT
URL: http://www.authorize.net/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.8.7
# BuildRequires: rubygem(rspec) >= 1.3
# BuildRequires: rubygem(rspec) < 2
# BuildRequires: rubygem(ruby-debug) >= 0.10
# BuildRequires: rubygem(ruby-debug) < 1
BuildArch: noarch

%description
The Authorize.Net Ruby SDK is meant to offer an alternate object-oriented
model of development with the Authorize.net APIs (Version 3.1). The SDK is
based entirely off the name-value pair API, but performs the core payment
activities (such as error handling/parsing, network communication, and data
encoding) behind the scenes. Providing the end developer with this allows the
developer to start integrating immediately without having to write out a mass
of boiler plate code.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/License.pdf
%{gem_instdir}/generators
%{gem_instdir}/init.rb
%{gem_instdir}/install.rb
%{gem_libdir}
%{gem_instdir}/uninstall.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Mon Apr 18 2022 mockbuilder - 1.5.2-1
- Initial package
